These docs are for v1. Click to read the latest docs for v3.

Bank Account Verification

Enables customers to verify bank account number by returning the name of the account holder

🚧

Not applicable for all banks

Only applicable for banks for whom account verification feature is available. This can be checked by hitting the [Get Bank Details API] (https://developers.eko.in/reference#get-bank-details)

Below is the API for creating a sender (customer_id):

curl --location --request PUT 'https://staging.eko.in:25004/ekoapi/v2/customers/mobile_number:9999111111'
--header 'developer_key: 0e60d3f8f3ed11029ed131299e4'
--header 'secret-key: vcxLWMBXmoTYFQjmt0CYGfnNgyqn5A/IZW4='
--header 'secret-key-timestamp: 1732516974152'
--header 'Content-Type: application/x-www-form-urlencoded'
--data-urlencode 'initiator_id=777777144'
--data-urlencode 'name=sonam'
--data-urlencode 'user_code=7777001'
--data-urlencode 'dob=2000-07-01'
--data-urlencode 'skip_verification=true'
--data-urlencode 'residence_address={"line":"India","city":"Indore","state":"Madhya Pradesh","pincode":"11124","district":"Indore","area":"geeta colony"}''''


Error Codes

response_status_idresponse_type_idmessage
11796Recipient name not found and verification not available for this bank
-161Success! Account details found
Path Params
string
required
Defaults to bank_code/ifsc

can have 2 values: ifsc or bank_code. For bank_code refer to the bank list attached below

string
required

need to pass the complete value of IFSC code if ifsc is selected as id_type and bank code if bank_code is selected as id_type

int32
required

pass complete account number which needs to be verified

Form Data
string
required

The unique cell number with which you are onboarded on Eko's platform. For UAT refer to [Platform Credentials] (https://developers.eko.in/docs/platform-credentials)

int32
required
string
required

User code value of the retailer from whom the request is coming

Headers
string
required

Your unique API key that will authenticate your request. For UAT, refer to [Platform Credentials] (https://developers.eko.in/docs/platform-credentials)

string
required

Refer to [authentication section] (https://developers.eko.in/docs/authentication)

string
required

Refer to [authentication section] (https://developers.eko.in/docs/authentication)

Responses

Language
LoadingLoading…
Response
Choose an example:
application/json